summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libalpm/scripts/mkinitcpio-install4
1 files changed, 2 insertions, 2 deletions
diff --git a/libalpm/scripts/mkinitcpio-install b/libalpm/scripts/mkinitcpio-install
index 215640b..ab952a7 100644
--- a/libalpm/scripts/mkinitcpio-install
+++ b/libalpm/scripts/mkinitcpio-install
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
args=()
all=0
@@ -26,7 +26,7 @@ if (( all )); then
args=(-P)
fi
-if ! compgen -G /etc/mkinitcpio.d/*.preset > /dev/null; then
+if ! compgen -G /etc/mkinitcpio.d/"*.preset" > /dev/null; then
exit 0
fi